Skip to main content

Base URL

https://v2.tennis.sportsapipro.com

Referee / Umpire (5 endpoints)

Umpire Details

GET /api/referee/{id}
id
number
required
Referee/umpire ID.

Umpire Image

GET /api/referee/{id}/image

Umpire Tournament Statistics

GET /api/referee/{id}/tournament/{tid}/season/{sid}/statistics

Umpire Recent Matches

GET /api/referee/{id}/events/last/{page}

Umpire Upcoming Matches

GET /api/referee/{id}/events/next/{page}

Venue / Court (3 endpoints)

Venue Details

GET /api/venue/{id}
Returns court/venue details including surface type and capacity.
id
number
required
Venue ID.

Venue Recent Matches

GET /api/venue/{id}/events/last/{page}

Venue Upcoming Matches

GET /api/venue/{id}/events/next/{page}

Example Request

curl -X GET "https://v2.tennis.sportsapipro.com/api/venue/1234" \
  -H "x-api-key: YOUR_API_KEY"